Page MenuHomePhabricator

Write presentation models for notifications in ContentTranslation
Closed, ResolvedPublic

Description

  • cx-first-translation
  • cx-tenth-translation
  • cx-hundredth-translation

Event Timeline

Catrope created this task.Oct 27 2015, 10:16 PM
Catrope updated the task description. (Show Details)
Catrope raised the priority of this task from to Needs Triage.
Catrope added subscribers: Aklapper, Catrope.
Catrope triaged this task as High priority.Oct 28 2015, 12:02 AM
Catrope set Security to None.

Hmm, I'm not familiar with presentation models.

Is this supposed to be done in CX code or in Echo code or elsewhere?

Hmm, I'm not familiar with presentation models.

Sorry for not providing much information. "Presentation models" are a thing in the newly rewritten notification formatter system in Echo. Documentation (WIP for now) is/will be at https://www.mediawiki.org/wiki/Echo_%28Notifications%29/New_formatter_system .

Is this supposed to be done in CX code or in Echo code or elsewhere?

It's CX code interfacing with Echo. We're going around and doing this conversion in all extensions that use Echo, we'd be happy to do the CX conversion ourselves as well.

Change 256372 had a related patch set uploaded (by Mooeypoo):
Convert notification to the new Echo Notifications Model

https://gerrit.wikimedia.org/r/256372

santhosh moved this task from Backlog to In Review on the LE-CX7-Sprint 4 board.
santhosh assigned this task to Mooeypoo.Dec 2 2015, 7:02 AM

Change 256372 merged by jenkins-bot:
Convert notification to the new Echo Notifications Model

https://gerrit.wikimedia.org/r/256372

santhosh moved this task from In Review to QA on the LE-CX7-Sprint 4 board.Dec 2 2015, 11:19 AM

Change 256469 had a related patch set uploaded (by Mooeypoo):
FOLLOWUP I80edee5f0: Move Echo presentation model into CX namespace

https://gerrit.wikimedia.org/r/256469

@santhosh, thanks for the quick merge!

I actually made a little tiny booboo with this commit; I didn't notice that I wasn't using the ContentTranslation namespace, and as a result, the class name I used is way (waaay) too general and could potentially conflict at some point with other Echo notification model classes.... oops. Sorry about that!

I submitted a second patch to fix this -- my apologies for a silly mistake :)

Change 256469 merged by jenkins-bot:
FOLLOWUP I80edee5f0: Move Echo presentation model into CX namespace

https://gerrit.wikimedia.org/r/256469

KartikMistry moved this task from QA to Done on the LE-CX7-Sprint 4 board.Dec 4 2015, 7:30 AM
Catrope closed this task as Resolved.Dec 10 2015, 2:26 AM
Petar.petkovic updated the task description. (Show Details)
Petar.petkovic removed a subscriber: gerritbot.
Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 31 2018, 8:31 PM